## lua-torch-optim 0~20170208

=== CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
CMAKE_POLICY(VERSION 2.6)
IF(LUAROCKS_PREFIX)
    MESSAGE(STATUS "Installing Torch through Luarocks")
    STRING(REGEX REPLACE "(.*)lib/luarocks/rocks.*" "\\1" CMAKE_INSTALL_PREFIX  "${LUAROCKS_PREFIX}")
    MESSAGE(STATUS "Prefix inferred from Luarocks: ${CMAKE_INSTALL_PREFIX}")
ENDIF()
FIND_PACKAGE(Torch REQUIRED)

SET(src)
FILE(GLOB luasrc *.lua)
ADD_TORCH_PACKAGE(optim "${src}" "${luasrc}")
#ADD_TORCH_DOK(dok optim "Machine Learning" "Optimization" 3.2)

INSTALL(DIRECTORY "doc" DESTINATION "${Torch_INSTALL_LUA_PATH_SUBDIR}/optim")
INSTALL(FILES "README.md" DESTINATION "${Torch_INSTALL_LUA_PATH_SUBDIR}/optim")

## lua-torch-optim 0~20170208-g656c42a

=== debian/changelog ===
lua-torch-optim (0~20170208-g656c42a-3) unstable; urgency=medium

  * tests: Ignore the tput error message to avoid autopkgtest failure.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 21 Nov 2017 05:28:00 +0000

lua-torch-optim (0~20170208-g656c42a-2) unstable; urgency=medium

  * Update autopkgtest files.
  * Discard useless ${shlibs:Depends}, and add the missing
    dependency lua-torch-xlua.
  * Update my name in control and copyright.
  * Bump Standards-Version to 4.1.1 . No change needed.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 28 Oct 2017 13:36:11 +0000

lua-torch-optim (0~20170208-g656c42a-1) experimental; urgency=medium

  * New upstream version 0~20170208-g656c42a
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.0.0 (requires no change).
  * Add autopkgtest control file.

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 26 Jul 2017 16:17:57 +0000

lua-torch-optim (0~20161016-g89ef52a-1) experimental; urgency=medium

  * New upstream snapshot.
  * Install upstream test files as examples.

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 17 Nov 2016 08:59:42 +0000

lua-torch-optim (0~20160808-g6c59c35-1) experimental; urgency=low

  * Initial release. Closes: #827435

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 14 Aug 2016 14:16:13 +0000

=== debian/control ===
Source: lua-torch-optim
Section: interpreters
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>=10),
               dh-lua,
# lua-torch-torch7 is not a real B-D, but an explicit runtime dependency
               lua-torch-torch7,
Standards-Version: 4.1.1
Homepage: https://github.com/torch/optim
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lua-torch-optim.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lua-torch-optim.git

Package: lua-torch-optim
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         lua5.1 | luajit,
         lua-torch-torch7,
         lua-torch-xlua,
XB-Lua-Versions: ${lua:Versions}
Description: Numeric Optimization Package for Torch Framework
 This package contains several optimization routines and a logger for Torch.
 .
 The following algorithms are provided:
  * Stochastic Gradient Descent
  * Averaged Stochastic Gradient Descent
  * L-BFGS
  * Congugate Gradients
  * AdaDelta
  * AdaGrad
  * Adam
  * AdaMax
  * FISTA with backtracking line search
  * Nesterov's Accelerated Gradient method
  * RMSprop
  * Rprop
  * CMAES
 All these algorithms are designed to support batch optimization as well
 as stochastic optimization. It's up to the user to construct an objective
 function that represents the batch, mini-batch, or single sample on which
 to evaluate the objective.
 .
 This package provides also logging and live plotting capabilities via the
 `optim.Logger()` function. Live logging is essential to monitor the
 network accuracy and cost function during training and testing, for
 spotting under- and over-fitting, for early stopping or just for monitoring
 the health of the current optimisation task.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	ln -s . optim
	dh_auto_configure

override_dh_auto_clean:
	-$(RM) -rf 5.1-torch-optim 5.2-torch-optim debian/trash optim
	dh_auto_clean

=== debian/tests/control ===
Test-Command: luajit -loptim -e "os.exit()" 2>/dev/null
Depends: luajit, lua-torch-optim

Test-Command: cd test; luajit -ltorch -loptim test_sgd.lua 2>/dev/null
Depends: luajit, lua-torch-optim

Test-Command: cd test; luajit -ltorch -loptim test_adam.lua 2>/dev/null
Depends: luajit, lua-torch-optim

## lua-torch-optim 0~20171127-ga5ceed7

=== debian/changelog ===
lua-torch-optim (0~20171127-ga5ceed7-1) unstable; urgency=medium

  * New upstream version 0~20171127-ga5ceed7
  * Add watch file to monitor upstream master branch.
  * Bump debhelper compat level to 11.
  * Point Vcs-* fields to Salsa.
  * Bump Standards-Version to 4.1.4 . (no change)
  * Change copyright-format URL into https form.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 20 Apr 2018 08:10:55 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <cdluminate@gmail.com>
-Build-Depends: debhelper (>=10),
+Build-Depends: debhelper (>=11),
                dh-lua,
 # lua-torch-torch7 is not a real B-D, but an explicit runtime dependency
                lua-torch-torch7,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://github.com/torch/optim
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lua-torch-optim.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lua-torch-optim.git
+Vcs-Browser: https://salsa.debian.org/science-team/lua-torch-optim
+Vcs-Git: https://salsa.debian.org/science-team/lua-torch-optim.git
 
 Package: lua-torch-optim
 Architecture: all

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd-g%h" \
https://github.com/torch/optim \
HEAD debian uupdate
